Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class KModuleDeploymentService

    java.lang.Object
      org.jbpm.kie.services.impl.AbstractDeploymentService
          org.jbpm.kie.services.impl.KModuleDeploymentService

All Implemented Interfaces:
  DeploymentService, ListenerSupport

Direct Known Subclasses:
  DeploymentServiceCDIImpl, DeploymentServiceEJBImpl

    public class KModuleDeploymentService

extends AbstractDeploymentService

Field Summary

Fields inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService
`deploymentsMap, emf, identityProvider, listeners, managerFactory, runtimeDataService`

Constructor Summary
`KModuleDeploymentService()`

Method Summary
`protected RuntimeEnvironmentBuilder` | `boostrapRuntimeEnvironmentBuilder(KModuleDeploymentUnit deploymentUnit, DeployedUnit deployedUnit, KieContainer kieContainer, org.kie.internal.runtime.conf.MergeMode mode)`
`void` | `deploy(DeploymentUnit unit)` Performs deployment operation of given `unit`.
`protected Object` | `getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model, KieContainer kieContainer, Map<String,Object> contaxtParams)`
`protected RegisterableItemsFactory` | `getRegisterableItemsFactory(AuditEventBuilder auditLoggerBuilder, KieContainer kieContainer, KModuleDeploymentUnit unit)`
`void` | `onInit()`
`protected void` | `processResources(org.drools.compiler.kie.builder.impl.InternalKieModule module, Map<String,String> formsData, Collection<String> files, KieContainer kieContainer, DeploymentUnit unit, DeployedUnitImpl deployedUnit, ReleaseId releaseId)`
`void` | `setBpmn2Service(DefinitionService bpmn2Service)`
`void` | `setMerger(DeploymentDescriptorMerger merger)`
`void` | `undeploy(DeploymentUnit unit)` Performs undeployment operation of given `unit`.

Methods inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService
`addListener, commonDeploy, getDeployedUnit, getDeployedUnits, getDeploymentsMap, getEmf, getListeners, getManagerFactory, getRuntimeDataService, getRuntimeManager, notifyOnDeploy, notifyOnUnDeploy, removeListener, setEmf, setIdentityProvider, setManagerFactory, setRuntimeDataService, setupAuditLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KModuleDeploymentService

    public KModuleDeploymentService()

Method Detail

### onInit

    public void onInit()

### deploy

    public void deploy(DeploymentUnit unit)

  Description copied from interface: `DeploymentService`
  Performs deployment operation of given `unit`.

  Specified by:
    `deploy` in interface `DeploymentService`
  Overrides:
    `deploy` in class `AbstractDeploymentService`
  Parameters:
    `unit` - deployment unit to be deployed to runtime

### getRegisterableItemsFactory

    protected RegisterableItemsFactory getRegisterableItemsFactory(AuditEventBuilder auditLoggerBuilder,
                                                                   KieContainer kieContainer,
                                                                   KModuleDeploymentUnit unit)

### undeploy

    public void undeploy(DeploymentUnit unit)

  Description copied from interface: `DeploymentService`
  Performs undeployment operation of given `unit`.

  Specified by:
    `undeploy` in interface `DeploymentService`
  Overrides:
    `undeploy` in class `AbstractDeploymentService`
  Parameters:
    `unit` - deployment unit to be undeployed from runtime

### boostrapRuntimeEnvironmentBuilder

    protected RuntimeEnvironmentBuilder boostrapRuntimeEnvironmentBuilder(KModuleDeploymentUnit deploymentUnit,
                                                                          DeployedUnit deployedUnit,
                                                                          KieContainer kieContainer,
                                                                          org.kie.internal.runtime.conf.MergeMode mode)

### getInstanceFromModel

    protected Object getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model,
                                          KieContainer kieContainer,
                                          Map<String,Object> contaxtParams)

### processResources

    protected void processResources(org.drools.compiler.kie.builder.impl.InternalKieModule module,
                                    Map<String,String> formsData,
                                    Collection<String> files,
                                    KieContainer kieContainer,
                                    DeploymentUnit unit,
                                    DeployedUnitImpl deployedUnit,
                                    ReleaseId releaseId)

### setBpmn2Service

    public void setBpmn2Service(DefinitionService bpmn2Service)

### setMerger

    public void setMerger(DeploymentDescriptorMerger merger)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.